Page MenuHomePhabricator

[Task] Recent changes should show watched items as bold on client
Closed, ResolvedPublic

Description

In recent changes on the client items in the user's watchlist is not shown in bold, making it difficult to spot important changes. This should be changed to showing them bolded if possible.

Details

Reference
bz46329

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:30 AM
bzimport set Reference to bz46329.
bzimport added a subscriber: Unknown Object (MLST).
jeblad created this task.Mar 19 2013, 6:14 PM
  • Bug 50893 has been marked as a duplicate of this bug. ***
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
matej_suchanek set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2015, 8:37 PM
matej_suchanek removed a project: TestMe.
matej_suchanek removed a subscriber: Wikidata-bugs.

Change 285922 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Replace meaningless <a class="plainlinks"> with extiw in RC/watchlist

https://gerrit.wikimedia.org/r/285922

Change 285922 merged by jenkins-bot:
Replace meaningless <a class="plainlinks"> with extiw in RC/watchlist

https://gerrit.wikimedia.org/r/285922

hoo added a subscriber: hoo.May 7 2016, 12:24 PM

Even after 842218baed06236d5b58ac4401cb5ccc5c03b332 this is not fixed.

MediaWiki creates html for RecentChanges entries like: …<span class="mw-title"><a …>Title</a></span>…, but we omit the outer <span>. Given MediaWiki's rule for making these links bold is .mw-changeslist-line-watched .mw-title { … } this doesn't work for our links (the outer mw-changeslist-line-watched class is set correctly, though).

thiemowmde renamed this task from Recent changes should show watched items as bold on client to [Task] Recent changes should show watched items as bold on client.May 9 2016, 3:51 PM
thiemowmde removed thiemowmde as the assignee of this task.
Jonas moved this task from Backlog to Review on the Wikidata-Sprint-2016-04-26 board.
Jonas moved this task from Review to Backlog on the Wikidata-Sprint-2016-04-26 board.
Jonas removed a project: Patch-For-Review.

Change 379961 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Wikibase@master] Wrap links in client watchlists, so that CSS works

https://gerrit.wikimedia.org/r/379961

thiemowmde closed this task as Resolved.Oct 23 2017, 6:07 AM
thiemowmde assigned this task to matej_suchanek.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 23 2017, 6:07 AM

Change 379961 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wrap links in client watchlists, so that CSS works

https://gerrit.wikimedia.org/r/379961